﻿<?php
require 'config.php';
?>
<html>
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="target-densitydpi=device-dpi, width=device-width, initial-scale=1.0, maximum-scale=1">

    <link href="css/modern.css" rel="stylesheet">
    <link href="css/site.css" rel="stylesheet" type="text/css">

    <title>Статистика онлайна игроков</title>    
</head>
<body class="metrouicss">
    <div class="page">
            <div class="nav-bar">
                <div class="nav-bar-inner padding10">
                    <span class="pull-menu"></span>            
                    <a href="/">
                        <span class="element brand">
                            <img class="place-left" src="images/logo32.png" style="height: 20px"/>
                            Статистика онлайна игроков
                        </span>
                    </a>            
                    <div class="divider"></div>
                    <ul class="menu">
                        <li><a href="/">Главная</a></li>
                        <li><a href="/">Ссылка</a></li>
                    </ul>
                </div>
            </div> 
            <div class="page-header">
                <div class="page-header-content">
                    <h1>Свой текст</h1>
                </div>
            </div>
            <div class="page-region">
                <div class="page-region-content">
                            <h2>Поиск</h2>
                                    <form method="post" action="">
                                        <div class="input-control text span4">
                                            <input type="text" value="<?php echo isset($_POST['nick']) ? $_POST['nick'] : '' ?>" name="nick" autofocus />
                                            <button class="btn-search"/>
                                        </div>
                                    </form>
                            <table class="bordered" style="text-align: center;">
                    			<thead>
                                    <tr>
                        				<?php $sort = (isset($_GET['sort']) && $_GET['sort'] == 'asc') ? 'desc' : 'asc'; ?>
                        				<th><a href="?sort=<?php echo $sort ?>&by=nick">Ник</a></th>
                        				<th><a href="?sort=<?php echo $sort ?>&by=steamid">SteamID</a></th>
                        				<th><a href="?sort=<?php echo $sort ?>&by=time">Время онлайн</a></th>
                        				<th><a href="?sort=<?php echo $sort ?>&by=first">Впервые замечен</a></th>
                        				<th><a href="?sort=<?php echo $sort ?>&by=last">Последнее посещение</a></th>
                        			</tr>
                                </thead>
                                <tbody>
                    			<?php
                    				$curr_page = (isset($_GET['p']) && $_GET['p'] > 1) ? $_GET['p'] : 0; 
                    				$start = 0;
                    				if($curr_page > 1) {
                    					$start = $curr_page * 20 - 20;
                    				}
                    			
                    				$order_by   = 'time';
                    				$order_type = 'DESC';
                    				if(isset($_GET['sort'])) {
                    					$order_type = strtoupper($_GET['sort']) == 'ASC' ? 'ASC' : 'DESC';
                    				}
                    				if(isset($_GET['by'])) {
                    					$order_by   = $_GET['by'];
                    				}
                    			
                    				$record = $mq -> getRecord($start, 20, array(
                    					'by'    => $order_by,
                    					'type'  => $order_type
                    				), $_POST);
                    				
                    				if(count($record)) {
                    					for($i=0, $c=count($record); $i<$c; $i++) {
                    						$data = $record[$i];
                    						
                    						echo '<tr' .( $data[ 'type' ] ? ' class="selected-row" ' : ''). '>';
                    						echo '<td>' . htmlspecialchars($data['nick']) . '</td>';
                    						echo '<td>' . $data['steamid'] . '</td>';
                    						echo '<td>' . gmdate("H:i:s", $data['time']) . '</td>';
                    						echo '<td>' . gmdate("d.m.Y (H:i:s)", $data['first']) . '</td>';
                    						echo '<td>' . gmdate("d.m.Y (H:i:s)", $data['last']) . '</td>';
                     						echo '</tr>';
                    					}
                    				}
                    				else {
                    					print "<tr class='error'><td colspan='5'>Ничего не найдено, попробуйте снова.</td></tr>";
                    				}
                    			?>
                                </tbody>            
                            </table>
                    			<br /><br />
                                <div class="pagination">
                                    <ul>
                        				<?php
                        				$q = $pdo -> query("SELECT COUNT(`id`) AS `records` FROM `{$CONFIG['db_table']}`");
                        				$q = $q -> fetch();
                        				$records = $q['records'];
                        				
                        				$page = ceil($records/20);
                        				
                        				for($i=0; $i<$page; $i++) {
                                            echo '<li class="' . ( ( $curr_page == $i ) ? 'active' : '' ) . '"><a href="?p='.($i+1).'">' . ($i+1) . '</a></li>';
                                        }
                        				?>
                                    </ul>
                    			</div>
                                <br />
                                <div class="nav-bar">
                                    <div class="nav-bar-inner padding10">
                                        <span class="element">
                                            <a class="fg-color-white" href="/">Статистика онлайн игроков</a>
                                        </span>
                                    </div>
                                </div>
                        </div>          
                </div> 
    </div>     
</body>
</html>